package eval

type Kind uint8

const (
	Invalid  Kind = iota // Invalid is an invalid value.
	Number               // Number is an immediately encoded value stored together with the instruction.
	Register             // Register is a CPU register.
	Memory               // Memory is an area in the RAM.
	Label                // Label is a reference to a name that can only be resolved once the program is fully compiled.
)
